Apache Tomcat 6.0.53

## org.apache.tomcat.util.buf
Class StringCache.ByteEntry

    java.lang.Object
      org.apache.tomcat.util.buf.StringCache.ByteEntry

Enclosing class:
  StringCache

    public static class StringCache.ByteEntry

extends java.lang.Object

Field Summary
`java.nio.charset.Charset` | `charset`
`byte[]` | `name`
`java.lang.String` | `value`

Constructor Summary
`StringCache.ByteEntry()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public byte[] name

### charset

    public java.nio.charset.Charset charset

### value

    public java.lang.String value

Constructor Detail

### StringCache.ByteEntry

    public StringCache.ByteEntry()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.